org.apache.commons.io.filefilter

## Interface IOFileFilter

- All Superinterfaces:
    FileFilter, FilenameFilter, PathFilter
  All Known Implementing Classes:
    AbstractFileFilter, AgeFileFilter, AndFileFilter, CanExecuteFileFilter, CanReadFileFilter, CanWriteFileFilter, DelegateFileFilter, DirectoryFileFilter, EmptyFileFilter, FalseFileFilter, FileEqualsFileFilter, FileFileFilter, HiddenFileFilter, MagicNumberFileFilter, NameFileFilter, NotFileFilter, OrFileFilter, PathEqualsFileFilter, PathVisitorFileFilter, PrefixFileFilter, RegexFileFilter, SizeFileFilter, SuffixFileFilter, SymbolicLinkFileFilter, TrueFileFilter, WildcardFileFilter, WildcardFilter

      public interface IOFileFilter
      extends FileFilter, FilenameFilter, PathFilter

  An interface which brings the FileFilter, FilenameFilter, and PathFilter interfaces together.
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `EMPTY_STRING_ARRAY` An empty String array.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(File file)` Checks to see if the File should be accepted by this filter.
    `boolean` | `accept(File dir, String name)` Checks to see if the File should be accepted by this filter.
    `default FileVisitResult` | `accept(Path path, BasicFileAttributes attributes)` Checks to see if the Path should be accepted by this filter.
    `default IOFileFilter` | `and(IOFileFilter fileFilter)` Creates a new "and" filter with this filter.
    `default IOFileFilter` | `negate()` Creates a new "not" filter with this filter.
    `default IOFileFilter` | `or(IOFileFilter fileFilter)` Creates a new "or" filter with this filter.

- - ### Field Detail

    - #### EMPTY_STRING_ARRAY

          static final String[] EMPTY_STRING_ARRAY

      An empty String array.

  - ### Method Detail

    - #### accept

          boolean accept(File file)

      Checks to see if the File should be accepted by this filter.

      Defined in `FileFilter`.

      Specified by:
        `accept` in interface `FileFilter`
      Parameters:
        `file` - the File to check.
      Returns:
        true if this file matches the test.

    - #### accept

          boolean accept(File dir,
                         String name)

      Checks to see if the File should be accepted by this filter.

      Defined in `FilenameFilter`.

      Specified by:
        `accept` in interface `FilenameFilter`
      Parameters:
        `dir` - the directory File to check.
        `name` - the file name within the directory to check.
      Returns:
        true if this file matches the test.

    - #### accept

          default FileVisitResult accept(Path path,
                                         BasicFileAttributes attributes)

      Checks to see if the Path should be accepted by this filter.
      Specified by:
        `accept` in interface `PathFilter`
      Parameters:
        `path` - the Path to check.
        `attributes` - the file's basic attributes (TODO may be null).
      Returns:
        true if this path matches the test.
      Since:
        2.9.0

    - #### and

          default IOFileFilter and(IOFileFilter fileFilter)

      Creates a new "and" filter with this filter.
      Parameters:
        `fileFilter` - the filter to "and".
      Returns:
        a new filter.
      Since:
        2.9.0

    - #### negate

          default IOFileFilter negate()

      Creates a new "not" filter with this filter.
      Returns:
        a new filter.
      Since:
        2.9.0

    - #### or

          default IOFileFilter or(IOFileFilter fileFilter)

      Creates a new "or" filter with this filter.
      Parameters:
        `fileFilter` - the filter to "or".
      Returns:
        a new filter.
      Since:
        2.9.0

Copyright © 2002–2021 The Apache Software Foundation. All rights reserved.